Bug 1281478 - Darktable 2.0
Summary: Darktable 2.0
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Germano Massullo
QA Contact:
Simon Clark
URL:
Whiteboard: ChangeAcceptedF24, SelfContainedChange
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-12 15:41 UTC by Germano Massullo
Modified: 2016-05-27 10:14 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-05-27 10:14:53 UTC
simon.richard.clark: fedora_requires_release_note+


Attachments (Terms of Use)

Description Germano Massullo 2015-11-12 15:41:16 UTC
Description of problem:
This is a tracking bug for Change: Darktable 2.0
For more details, see: https://fedoraproject.org/wiki/Changes/Darktable_2_0

Comment 1 Germano Massullo 2015-12-22 14:52:19 UTC
darktable 2.0 has been released [1]
You can find a RPM package and spec file at [2]


[1]: https://copr.fedoraproject.org/coprs/germano/Darktable_2.0_release_candidate/builds/
[2]: https://copr.fedoraproject.org/coprs/germano/Darktable_2.0_release_candidate/builds/

Comment 2 Germano Massullo 2015-12-22 14:52:50 UTC
I am sorry, link [1] is https://github.com/darktable-org/darktable/releases/tag/release-2.0.0

Comment 3 Germano Massullo 2015-12-24 11:09:45 UTC
You can check the .spec file at https://fedorapeople.org/~germano/darktable.spec

Comment 4 Ludovic Hirlimann [:Paul-muadib] 2016-02-01 08:22:37 UTC
Are there plans to upgrade 23 users to version 2.0.xxxx of Darktable ?

Comment 5 Germano Massullo 2016-02-01 09:06:15 UTC
(In reply to Ludovic Hirlimann from comment #4)
> Are there plans to upgrade 23 users to version 2.0.xxxx of Darktable ?

Not officially. You can enable my Copr repository
https://copr.fedorainfracloud.org/coprs/germano/Darktable_2.0_release_candidate/

Comment 6 Jan Kurik 2016-02-24 14:26:00 UTC
On 2016-Feb-23, we have reached Fedora 24 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-Feb-26 meeting.  Contingency plan for System Wide Changes, if planned for Alpha (or in case of serious doubts regarding Change completion), will be activated.

Comment 7 Jan Kurik 2016-04-20 15:02:00 UTC
On 2016-Apr-19 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 24 release. At this point all the Changes not at least in in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 8 Simon Clark 2016-04-22 20:10:34 UTC
I have added release notes text (mainly taken from the change description and darktable website) to the draft F24 Release Notes here: https://git.fedorahosted.org/cgit/docs/release-notes.git/plain/en-US/Graphics_Editors.xml?h=f24

Please would you take a look at the draft and let me know if anything should be added or changed?

Comment 9 Germano Massullo 2016-04-23 16:26:13 UTC
(In reply to Simon Clark from comment #8)
> I have added release notes text (mainly taken from the change description
> and darktable website) to the draft F24 Release Notes here:
> https://git.fedorahosted.org/cgit/docs/release-notes.git/plain/en-US/
> Graphics_Editors.xml?h=f24
> 
> Please would you take a look at the draft and let me know if anything should
> be added or changed?

It seems okay to me. Thank you very much

Comment 10 Germano Massullo 2016-05-27 10:14:53 UTC
darktable-2.0.4-1 went stable. I forgot to add this bugreport into the bodhi update https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ada104630
So I am closing it manually


Note You need to log in before you can comment on or make changes to this bug.